Subject: Re: [PATCH net-next v02 2/4] hinic3: Remove redundant defensive code

From: Simon Horman <[email-masked]>
Date: Wed, 28 Jan 2026 14:42:39 +0000

On Wed, Jan 28, 2026 at 02:50:37PM +0800, Fan Gong wrote:
> On 1/28/2026 12:25 AM, Simon Horman wrote:
> > On Mon, Jan 26, 2026 at 09:03:32AM +0800, Fan Gong wrote:
> >> According to comment of patch 03, check codes that were merged and
> >> remove redundant defensive codes.
> >>
> >> Co-developed-by: Zhu Yikai <[email-masked]>
> >> Signed-off-by: Zhu Yikai <[email-masked]>
> >> Signed-off-by: Fan Gong <[email-masked]>
> >
> > Hi,
> >
> > I agree that defensive coding is unnecessary in Networking drivers.
> > But I'm unsure what "codes that were merged" and "patch 03" refers to.
> > Could you clarify this?
> >
> > Likewise in patch 3/4 of this series.
> >
> 
> Our negligence did not explain this clearly.
> 
> Patch 03 points to the mergeed patch "net: hinic3: Add a driver for Huawei 3rd
> gen NIC - sw and hw initialization".
> 
> "codes that were merged" means that we review the code already merged into
> Linux based on Jakub's review comments.
> https://lore.kernel.org/netdev/[email-masked]/
> 
> At that time, "patch 03" could only modify the parts where the code was to be
> merged. Therefore, after we checked the previous codes ,the codes already
> merged are modified in this current patchset.

Thanks, and apologies if I still have this mixed up.
I'm wondering if the following commit message would make things clearer.

Subject: [PATCH net-next v3 2/4] hinic3: remove defensive txq_num check

Since commit 1f3838b84a63 ("hinic3: Add Rss function") nic_dev->num_txqs
cannot be zero in hinic3_alloc_txqs(). So remove the check for this case.

Link: https://lore.kernel.org/netdev/[email-masked]/
Signed-off-by: ...